# eric6.WebBrowser.FlashCookieManager.FlashCookieManager

Module implementing the Flash cookie manager.

### Global Attributes

None

### Classes

FlashCookieManager | Class implementing the Flash cookie manager object.

### Functions

None

## FlashCookieManager

Class implementing the Flash cookie manager object.

### Derived from

QObject

### Class Attributes

RefreshInterval

### Class Methods

None

### Methods

FlashCookieManager | Constructor
__autoRefresh | Private slot to refresh the list of cookies.
__extractOriginFrom | Private method to extract the cookie origin given its file name.
__insertFlashCookie | Private method to insert a Flash cookie into the cache.
__isBlacklisted | Private method to check for a blacklisted cookie.
__isWhitelisted | Private method to check for a whitelisted cookie.
__loadFlashCookies | Private slot to load the Flash cookies to be cached.
__loadFlashCookiesFromPath | Private slot to load the Flash cookies from a path.
__removeAllButWhitelisted | Private method to remove all non-whitelisted cookies.
__sharedObjectDirName | Private slot to determine the path of the shared data objects.
__startStopTimer | Private slot to start or stop the auto refresh timer.
clearCache | Public method to clear the list of cached Flash cookies.
clearNewOrigins | Public method to clear the list of newly detected Flash cookies.
flashCookies | Public method to get the list of cached Flash cookies.
flashPlayerDataPath | Public method to get the Flash Player data path.
newCookiesList | Public method to get the list of newly detected Flash cookies.
preferencesChanged | Public slot to handle a change of preferences.
removeAllCookies | Public method to remove all flash cookies.
removeCookie | Public method to remove a cookie of the list of cached cookies.
setFlashCookies | Public method to set the list of cached Flash cookies.
showFlashCookieManagerDialog | Public method to show the Flash cookies management dialog.
shutdown | Public method to perform shutdown actions.

### Static Methods

None

#### FlashCookieManager (Constructor)

FlashCookieManager(parent=None)

Constructor

parent (QObject)
  reference to the parent object

#### FlashCookieManager.__autoRefresh

__autoRefresh()

Private slot to refresh the list of cookies.

#### FlashCookieManager.__extractOriginFrom

__extractOriginFrom(path)

Private method to extract the cookie origin given its file name.

path (str)
  file name of the cookie file

Returns:
  cookie origin

Return Type:
  str

#### FlashCookieManager.__insertFlashCookie

__insertFlashCookie(path)

Private method to insert a Flash cookie into the cache.

path (str)
  Flash cookies path

#### FlashCookieManager.__isBlacklisted

__isBlacklisted(cookie)

Private method to check for a blacklisted cookie.

cookie (FlashCookie)
  Flash cookie to be tested

Returns:
  flag indicating a blacklisted cookie

Return Type:
  bool

#### FlashCookieManager.__isWhitelisted

__isWhitelisted(cookie)

Private method to check for a whitelisted cookie.

cookie (FlashCookie)
  Flash cookie to be tested

Returns:
  flag indicating a whitelisted cookie

Return Type:
  bool

#### FlashCookieManager.__loadFlashCookies

__loadFlashCookies()

Private slot to load the Flash cookies to be cached.

#### FlashCookieManager.__loadFlashCookiesFromPath

__loadFlashCookiesFromPath(path)

Private slot to load the Flash cookies from a path.

path (str)
  Flash cookies path

#### FlashCookieManager.__removeAllButWhitelisted

__removeAllButWhitelisted()

Private method to remove all non-whitelisted cookies.

#### FlashCookieManager.__sharedObjectDirName

__sharedObjectDirName()

Private slot to determine the path of the shared data objects.

Returns:
  path of the shared data objects

Return Type:
  str

#### FlashCookieManager.__startStopTimer

__startStopTimer()

Private slot to start or stop the auto refresh timer.

#### FlashCookieManager.clearCache

clearCache()

Public method to clear the list of cached Flash cookies.

#### FlashCookieManager.clearNewOrigins

clearNewOrigins()

Public method to clear the list of newly detected Flash cookies.

#### FlashCookieManager.flashCookies

flashCookies()

Public method to get the list of cached Flash cookies.

Returns:
  list of Flash cookies

Return Type:
  list of FlashCookie

#### FlashCookieManager.flashPlayerDataPath

flashPlayerDataPath()

Public method to get the Flash Player data path.

Returns:
  Flash Player data path

Return Type:
  str

#### FlashCookieManager.newCookiesList

newCookiesList()

Public method to get the list of newly detected Flash cookies.

Returns:
  list of newly detected Flash cookies

Return Type:
  list of str

#### FlashCookieManager.preferencesChanged

preferencesChanged()

Public slot to handle a change of preferences.

#### FlashCookieManager.removeAllCookies

removeAllCookies()

Public method to remove all flash cookies.

#### FlashCookieManager.removeCookie

removeCookie(cookie)

Public method to remove a cookie of the list of cached cookies.

cookie (FlashCookie)
  Flash cookie to be removed

#### FlashCookieManager.setFlashCookies

setFlashCookies(cookies)

Public method to set the list of cached Flash cookies.

cookies (list of FlashCookie)
  list of Flash cookies to store

#### FlashCookieManager.showFlashCookieManagerDialog

showFlashCookieManagerDialog()

Public method to show the Flash cookies management dialog.

#### FlashCookieManager.shutdown

shutdown()

Public method to perform shutdown actions.

Up